function vystup = kompenzacia_utlmu(vstup,N)
% N - dĺka okna pre priemerovanie
s = size(vstup);
aa = zeros(s);
for i = 1:s(2)
    a_c = vstup(:,i);
    b = fliplr(a_c(1:N/2,1));
    e = fliplr(a_c(end-N/2-1:end,1));
    a_c_longer = [b; a_c; e];
    l = length(a_c);
    fz = zeros(l,1); % intenzita signalu
    for j=1:l
        fz(j,1)= mean(a_c_longer(j:j+N, 1));
    end

    k = max(fz);
    k = ones(l,1)*k;
%     cz = (k - fz)+k;% kompenzačná funkcia
    cz = (k - fz);% kompenzačná funkcia
    y = a_c + cz;
    aa(:,i) = y;
end
vystup = aa;
end